--- title: "get-datafence" slug: "get-datafence" updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/get-datafence" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # get-datafence Available in VPC Get a datafence. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/fence/get-datafence | ### Request headers For information about the headers common to all Datafence APIs, see [Datafence request headers](/docs/en/datafence-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request example The request example is as follows: ``` curl --location --request GET 'https://datafence.apigw.ntruss.com/api/v1/fence/get-datafence' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `fenceId` | Integer | - | Datafence number | | `fenceName` | String | - | Datafence name | | `boxCount` | Integer | - | Number of boxes | | `createDate` | String | - | Datafence creation date and time - ISO 8601 format (including UTC+9) | | `statusCode` | String | - | Datafence status code - `INITIALIZE` \| `USE` \| `ING` \| `RETURN` \| `TERMINATE` - `INITIALIZE`: creating infrastructure - `USE`: in use - `ING`: changing - `RETURN`: terminating - `TERMINATE`: termination completed | | `statusName` | String | - | Datafence status name - `Creating infrastructure` \| `In use` \| `Changing` \| `Terminating` \| `Termination completed` | | `description` | String | - | Datafence description | | `exportScreenBucketName` | String | - | Bucket name for export review | | `sslVpnName` | String | - | SSL VPN name | ### Response status codes For information about the HTTP status codes common to all Datafence APIs, see [Datafence API response status codes](/docs/en/datafence-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` [ { "fenceId": 26, "fenceName": "datafense001", "boxCount": 1, "createDate": "2025-04-21T11:24:01+09:00", "statusCode": "USE", "statusName": "In use", "description": "Description", "exportScreenBucketName": "datafense001", "sslVpnName": "datafence-ssl001" } ] ```